<template>
  <div id="hairmess">
    <admin-frame @search="search" :limit="limit" :total="total" topType="2" @back="back" :rightArrow="false" :useNav="false">
      <template v-slot:info>
        <van-col span="24" class="btn">
          <!-- <van-button type="info" size="small" @click="add">手动分发</van-button> -->
          <van-button type="info" size="small" @click="twoAdd">自动分发</van-button>
          <van-button type="info" size="small" @click="thrAdd">手动分发</van-button>
        </van-col>
        <van-col span="24">
          <list-1 :list="list" @toDel="toDel"></list-1>
        </van-col>
      </template>
    </admin-frame>
  </div>
</template>

<script>
import list1 from './hairmess/list-1.vue';
import adminFrame from '@frame/src/components/mobile-frame/mobile-main.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
const { mapActions: patentwarning } = createNamespacedHelpers('patentwarning');
export default {
  name: 'hairmess',
  props: {},
  components: {
    adminFrame,
    list1,
  },
  data: function () {
    return {
      limit: 5,
      total: 0,
      list: [],
    };
  },
  async created() {
    this.search();
  },
  methods: {
    ...patentwarning(['query', 'delete']),
    async search({ skip = 0, limit = this.limit, searchName, ...info } = {}) {
      let res = await this.query({ skip, limit, ...info });
      if (this.$checkRes(res)) {
        this.$set(this, `list`, res.data);
        this.$set(this, `total`, res.total);
      }
    },

    // 分发消息创建
    add() {
      this.$router.push({ path: '/patent/admin/examine/hairmess_create' });
    },
    // 自动分发消息
    twoAdd() {
      this.$router.push({ path: '/patent/admin/examine/hairmess_autoCreate' });
    },
    // 手动分发
    thrAdd() {
      this.$router.push({ path: '/patent/admin/examine/hairmess_manualCreate' });
    },
    // 删除文件
    async toDel({ data }) {
      this.$dialog
        .confirm({ title: '信息提示', message: '删除操作不可恢复，您确定要继续么？' })
        .then(async () => {
          let res = await this.delete(data._id);
          if (this.$checkRes(res, '删除数据成功', `${res.errmsg}`)) this.search();
        })
        .catch(() => {});
    },
    // 返回
    back() {
      this.$router.push({ path: '/patent/index' });
    },
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped>
.btn {
  margin: 10px 0;
  text-align: center;
  .van-button {
    margin: 0 10px;
  }
}
</style>
